OGRE: Ogre::ParticleEmitterFactory Class Reference - OGRE Documentation

# Ogre::ParticleEmitterFactory Class Reference

Abstract class defining the interface to be implemented by creators of ParticleEmitter subclasses. More...

`#include <OgreParticleEmitterFactory.h>`

Inheritance diagram for Ogre::ParticleEmitterFactory:

[legend]

List of all members.

## Public Member Functions
| ParticleEmitterFactory ()
virtual | ~ParticleEmitterFactory ()
virtual String | getName () const =0
| Returns the name of the factory, the name which identifies the particle emitter type this factory creates.
virtual ParticleEmitter * | createEmitter (ParticleSystem *psys)=0
| Creates a new emitter instance.
virtual void | destroyEmitter (ParticleEmitter *e)
| Destroys the emitter pointed to by the parameter (for early clean up if required).
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Attributes
std::vector< ParticleEmitter * > | mEmitters

## Detailed Description

Abstract class defining the interface to be implemented by creators of ParticleEmitter subclasses.

Remarks:
  Plugins or 3rd party applications can add new types of particle emitters to Ogre by creating subclasses of the ParticleEmitter class. Because multiple instances of these emitters may be required, a factory class to manage the instances is also required.

  ParticleEmitterFactory subclasses must allow the creation and destruction of ParticleEmitter subclasses. They must also be registered with the ParticleSystemManager. All factories have a name which identifies them, examples might be 'point', 'cone', or 'box', and these can be also be used from particle system scripts.

Definition at line 50 of file OgreParticleEmitterFactory.h.

## Constructor & Destructor Documentation

Ogre::ParticleEmitterFactory::ParticleEmitterFactory | ( |  | ) |

Definition at line 55 of file OgreParticleEmitterFactory.h.

virtual Ogre::ParticleEmitterFactory::~ParticleEmitterFactory | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual String Ogre::ParticleEmitterFactory::getName | ( |  | ) | const`[pure virtual]`

Returns the name of the factory, the name which identifies the particle emitter type this factory creates.

virtual ParticleEmitter* Ogre::ParticleEmitterFactory::createEmitter | ( | ParticleSystem * | psys | ) | `[pure virtual]`

Creates a new emitter instance.

Remarks:
  The subclass MUST add a pointer to the created instance to mEmitters.

virtual void Ogre::ParticleEmitterFactory::destroyEmitter | ( | ParticleEmitter * | e | ) | `[virtual]`

Destroys the emitter pointed to by the parameter (for early clean up if required).

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 62 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 73 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 79 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 84 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 89 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 106 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

std::vector<ParticleEmitter*> Ogre::ParticleEmitterFactory::mEmitters`[protected]`

Definition at line 53 of file OgreParticleEmitterFactory.h.

The documentation for this class was generated from the following file:

- OgreParticleEmitterFactory.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:34:41 2009